using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;
using Random = UnityEngine.Random;

public class NpcActions : MonoBehaviour
{
    [SerializeField] NavMeshAgent _navmeshAgent;
    Vector3 _home;
    Transform _followTarget;

    void Awake()
    {
        _home = transform.position;
    }

    void OnValidate()
    {
        _navmeshAgent = GetComponent<NavMeshAgent>();
    }

    void Update()
    {
        if (_followTarget != null)
            _navmeshAgent.SetDestination(_followTarget.position);
    }

    public void MoveToRandomPoint()
    {
        var spawnPoints = GameObject.FindGameObjectsWithTag("Spawn Point");
        var chosen = spawnPoints[Random.Range(0, spawnPoints.Length)];
        _navmeshAgent.SetDestination(chosen.transform.position);
    }

    public void GoHome()
    {
        _navmeshAgent.SetDestination(_home);
    }

    public void FollowPlayer()
    {
        _followTarget = GameObject.FindWithTag("Player").transform;
    }
}
